
import 'package:json_annotation/json_annotation.dart';

import '../customTimetableEvent.dart';

part 'updateCustomTimetableEventParams.g.dart';

@JsonSerializable(explicitToJson: true)
class UpdateCustomTimetableEventParams {
  String id;
  CustomTimetableEvent event;

  UpdateCustomTimetableEventParams(this.id, this.event);

  factory UpdateCustomTimetableEventParams.fromJson(Map<String, dynamic> json) => _$UpdateCustomTimetableEventParamsFromJson(json);
  Map<String, dynamic> toJson() => _$UpdateCustomTimetableEventParamsToJson(this);
}